%define anolis_release 2

Name:    lksctp-tools
Summary: Linux Kernel Stream Control Transmission Protocol Tools
Version: 1.0.19
Release: %{anolis_release}%{?dist}
License: GPLv2 and GPLv2+ and LGPLv2 and MIT
URL:     http://lksctp.sourceforge.net
Source0: https://github.com/sctp/lksctp-tools/archive/%{name}-%{version}.tar.gz
BuildRequires: libtool, automake, autoconf, make

%description
This is the %{name} package for Linux Kernel SCTP (Stream Control
Transmission Protocol) Reference Implementation.

The %{name} package provides a Linux user space library for SCTP (libsctp)
including C language header files (netinet/sctp.h) for accessing SCTP specific
application programming interfaces not provided by the standard sockets, and
also some helper utilities around SCTP.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Development files for %{name} which include man pages, header files,
static libraries, symlinks to dynamic libraries and some tutorial source code.

%package doc
Summary: Documents pertaining to SCTP
Requires: %{name} = %{version}-%{release}

%description doc
Documents pertaining to LKSCTP & SCTP in general.

%prep
%autosetup -n %{name}-%{name}-%{version} -p1

%build
[ ! -x ./configure ] && sh bootstrap
%configure --disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
rm -f doc/rfc2960.txt doc/states.txt
%make_install

find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%generate_compatibility_deps

%files
%license COPYING*
%dir %{abidir}
%{_bindir}/checksctp
%{_bindir}/sctp_darn
%{_bindir}/sctp_status
%{_bindir}/sctp_test
%{_bindir}/withsctp
%{abidir}/*-option.list
%{_libdir}/libsctp.so.1*
%{abidir}/libsctp.dump
%dir %{_libdir}/lksctp-tools/
%{_libdir}/lksctp-tools/libwithsctp.so.1*
%{abidir}/libwithsctp.dump
%{_mandir}/man7/*

%files devel
%{_includedir}/*
%{_libdir}/libsctp.so
%{_libdir}/pkgconfig/libsctp.pc
%{_libdir}/lksctp-tools/libwithsctp.so
%{_datadir}/lksctp-tools/
%{_mandir}/man3/*

%files doc
%doc AUTHORS ChangeLog README doc/*.txt

%changelog
* Sat Apr 08 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 1.0.19-2
- Optimize the spec file

* Wed Mar 01 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 1.0.19-1
- Update to 1.0.19
- Add abi/api files

* Wed Jun 15 2022 happy_orange <songnannan@alibaba.linux.com> - 1.0.18-1
- init package from upstream
